package com.tzld.piaoquan.risk.control.controller;

import com.tzld.piaoquan.risk.control.common.annotation.NoRequestLog;
import com.tzld.piaoquan.risk.control.common.annotation.UnAuth;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 */
@RestController
@RequestMapping("/")
public class IndexController {

    private static final Logger LOGGER = LoggerFactory.getLogger(IndexController.class);

    /**
     * 探活
     *
     * @return
     */
    @NoRequestLog
    @UnAuth
    @GetMapping("/healthcheck")
    public String healthcheck() {
        LOGGER.info("I'm ok");
        return "ok";
    }
}
