package com.tzld.piaoquan.risk.control.controller;

import com.tzld.piaoquan.risk.control.common.base.CommonResponse;
import com.tzld.piaoquan.risk.control.model.dto.Page;
import com.tzld.piaoquan.risk.control.model.dto.WorkWechatRoomDTO;
import com.tzld.piaoquan.risk.control.model.dto.WorkWechatUserInfo;
import com.tzld.piaoquan.risk.control.service.WorkWechatService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@RequestMapping("/work/wechat")
public class WorkWechatController {

    @Autowired
    private WorkWechatService workWechatService;

    @GetMapping("/user/info/page")
    public CommonResponse<Page<WorkWechatUserInfo>> page(@RequestParam("pageSize") int pageSize, @RequestParam("currentPage") int currentPage,
                                                         @RequestParam(value = "phone", required = false) String phone) {
        log.info("[work wechat findUserInfoList] pageSize:{}, currentPage:{}, phone:{}", pageSize, currentPage, phone);
        return CommonResponse.create(workWechatService.findUserInfoList(pageSize, currentPage, phone));
    }

    @GetMapping("/chat/room/page")
    public CommonResponse<Page<WorkWechatRoomDTO>> page(@RequestParam("uuid") String uuid, @RequestParam("pageSize") int pageSize, @RequestParam("currentPage") int currentPage,
                                                        @RequestParam(value = "chatRoomName", required = false) String chatRoomName) {
        log.info("[work wechat findChatRoomList] uuid: {}, pageSize: {}, currentPage: {}, chatRoomName: {}", uuid, pageSize, currentPage, chatRoomName);
        return CommonResponse.create(workWechatService.findChatRoomList(uuid, pageSize, currentPage, chatRoomName));
    }

    @PostMapping("/updateAutoRemoveUserStatus")
    public CommonResponse<Void> updateAutoRemoveUserStatus(@RequestBody WorkWechatRoomDTO param) {
        log.info("[work wechat updateAutoRemoveUserStatus] param: {}", param);
        workWechatService.updateAutoRemoveUserStatus(param);
        return CommonResponse.create();
    }
}
